Subject: bug#49498: Duplicate grafting derivations?

From: Leo Famulari <[email-masked]>
Date: Fri, 9 Jul 2021 15:25:38 -0400

In recent months, I noticed some confusing information during the
grafting phase of updating my profiles.

While doing `guix package -u .` on a large-ish profile (119 packages), I
noticed that webkitgtk is being grafted more than once, like this:

------
applying 25 grafts for /gnu/store/fm6a97lzvy765c1hkk9jixrh0xmc1mwi-webkitgtk-2.32.1.drv ... 
applying 25 grafts for /gnu/store/j61ikyxngic90mxfg5m2pv3rf6ilpryd-webkitgtk-2.32.1.drv ... 
applying 25 grafts for /gnu/store/x1j851j0pphfyqh6hnar8b3b7y9i6cr5-webkitgtk-2.32.1.drv ... 
applying 25 grafts for /gnu/store/zcif8i2b5i66nl59nwfckfqa3x8xwg2k-webkitgtk-2.32.1.drv ... 
------

It could be that there is a reasonable explanation for this; maybe there
are some variants of webkitgtk that I don't know about. But, I didn't
find them at first glance.

Does anyone know what's going on here? Is this expected?